У меня проблема в том, что Qt не позволяет мне создавать приложение Qt - такой опции нет в «Новом проекте» - но только под моей Windows. Под Linux это прекрасно работает.

Я установил пакет Qt + QtCreator с официальной страницы загрузки Qt.

Я уже искал это в Google и нашел ответы здесь, в stackoverflow, но все предлагают добавить Qt для создания наборов инструментов в конфигурации. В моем случае это не проблема - QtCreator автоматически и правильно определяет мой Qt:

enter image description here

Это все еще не позволяет мне создавать приложение Qt:

enter image description here

(это на польском языке, но в нем говорится, что возможны только проекты, не относящиеся к qt, и импортированные).

Я проверил, работает ли qmake.exe, указанный Qt, который использует QtCreator - да, работает.

Что еще я могу проверить / сделать?

2
Googie 17 Май 2014 в 12:07

3 ответа

Лучший ответ

Судя по вашему комментарию, похоже, что вы используете Windows XP. Это больше не поддерживается. Он был отброшен некоторое время назад. Это может работать, а может и не работать, но в целом в большинстве случаев это будет плохой опыт, потому что такие вещи, как ваша проблема, также в некоторой степени фундаментальны.

В настоящее время поддерживаемыми вариантами Windows являются Windows 7 и 8. Я думаю, что обновление - это мудрое решение, если вы можете или ищете интегрированную среду разработки, которая по-прежнему хорошо поддерживается в Windows XP. Это означает, что вы также можете получить более старую версию QtCreator, но теперь она, вероятно, будет стоять за поддержкой функций Qt 5.

0
lpapp 17 Май 2014 в 16:32

Проблема здесь была в Windows XP. Использование более свежей версии Windows решает проблему.

0
Googie 17 Май 2014 в 16:31

Вы можете понизить Qt до последней версии, которая поддерживает Windows XP (OpenGL?), AFAIK v5.1.1. Его можно установить с помощью текущего онлайн-установщика.

Изменить: но я обнаружил, что это довольно нестабильно (поэтому я использую Qt, работающий в Linux через VirtualBox).

0
TMa 16 Окт 2014 в 10:11